package org.safe.metamodelgen.util;

public interface SAFEConstants {
	public static final String SRC_GEN_DIRECTORY = "/src-gen";
	
	public static final String SOURCE_REVISION_NAME_PREFIX_SAFE = "safe-";
    public static final String SOURCE_REVISION_NAME_PATTEN = "(\\d+\\.\\d+\\.\\d+)";
    
    /* metamodel type */
    public static final String METAMODEL_TYPE_SAFE = "SAFE";
    
    /* SAFE */
    public static final String DEFAULT_SAFE_NSURI = "http://safe-project.eu";
    public static final String DEFAULT_SAFE_FILE_EXTENSION = "safe";
    public static final String SAFE_SOURCE_PATH = "org.safe.metamodelgen.source";
    public static final String SAFE_GENMODEL_PROPERTIES = "/gmodel/genmodel_safe.properties";
    
    /* STUB */
    public static final String EASTADL_STUB_GENMODEL = "eastadlStub.genmodel";
    public static final String AUTOSAR_STUB_GENMODEL = "autosarStub.genmodel";
    
    /* Package name that contains the primitive data types*/
    public static final String DATA_TYPES = "DataTypes";
}
