/**
 * <copyright>
 * 
 * Copyright (c) 2013 itemis and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 *     itemis - Initial API and implementation
 * 
 * </copyright>
 */
package org.safe.ide.ui.messages;

import org.eclipse.osgi.util.NLS;

public class WorkspaceUIMessages extends NLS {

	private static final String BUNDLE_NAME = "org.safe.ide.ui.messages.WorkspaceUIMessages"; //$NON-NLS-1$

	public static String page_NewSAFEFileCreation_title;
	public static String page_NewSAFEFileCreation_description;
	public static String page_createAutosarNature_title;
	public static String page_createAutosarNature_description;
	public static String page_createEastADLNature_title;
	public static String page_createEastADLNature_description;

	public static String label_SAFEPackageCreation;
	public static String label_WithSAFEPackage;
	public static String label_metaModelRelease;

	public static String text_defaultSAFEPackageName;

	// Preference page messages
	public static String ReleasePreferencePage_releaseGroupText;
	public static String ReleasePreferencePage_releaseFieldLabel;
	public static String ReleasePreferencePage_resourceVersionLabel;
	public static String ReleasePreferencePage_sameAsInOriginalButtonLabel;
	public static String ReleasePreferencePage_otherResourceVersionButtonLabel;

	public static String SAFEPreferencePage_description;
	public static String SAFEPreferencePage_loadingGroupText;
	public static String SAFEPreferencePage_schemaValidationFieldLabel;
	public static String SAFEPreferencePage_schemaValidationSeverityLevel;
	public static String SAFEPreferencePage_ErrorLabel;
	public static String SAFEPreferencePage_WarningLabel;
	public static String SAFEPreferencePage_InfoLabel;
	public static String SAFEPreferencePage_problemIndicationFieldLabel;
	public static String SAFEPreferencePage_maxProblemEditorlabel;
	public static String SAFEPreferencePage_useBinaryResources;

	static {
		NLS.initializeMessages(BUNDLE_NAME, WorkspaceUIMessages.class);
	}

}
