package org.safe.metamodelgen.templates.internal.util;

import org.eclipse.emf.codegen.ecore.genmodel.GenModel;
import org.eclipse.emf.codegen.ecore.genmodel.GenPackage;
import org.eclipse.emf.ecore.EModelElement;
import org.eclipse.emf.ecore.util.EcoreUtil;

public class SAFEGenPackages {
	static protected String ANNOTATION_EAADAPTER = "EAAdapter";
	
	public static String getBaseContentType(GenModel genModel, GenPackage genPackage){
			return "org.safe.metamodel.safeXMLFile";	
		//return genPackage.isXMIResource() ? "org.eclipse.emf.ecore.xmi" : "org.eatop.eel.eastadl.eastadlXMLFile";
	}

/**
 * Returns the EAAdapter of the given model element or null if none is set.
 *
 * @param eElement
 *            Model element to examine.
 * @param tag
 *            Tag to look for.
 *
 * @return Value for given tag. If not <code>null</code> it's not empty.
 */
static protected String getEAAdapterAnnotation(EModelElement eElement, String tag) {
	
	if (eElement == null) {
		throw new IllegalArgumentException("eElement is null");
	}
	if (tag == null) {
		throw new IllegalArgumentException("tag is null");
	}
	
    String result = EcoreUtil.getAnnotation( eElement, ANNOTATION_EAADAPTER, tag );
    if( (result != null) && (result.length() == 0) ) {
        result = null;
    }
    return result;
}
}
